@echo off

rem This file is public domain.

setlocal enableextensions

set mingw=x:\mingw
rem set mingw=c:\codeblocks\MinGW
path %mingw%\bin;%path%

rem XP: 0x510, Vista: 0x600, W7: 0x601
set winflags=-D WINVER=0x600 -D _WIN32_WINNT=0x0600

set OBJECTS=tla_utils.o tla_utils_w.o tla_COM.o tla_parse.o tla_splash.o tla_options.o tlaunch-rc.o

set CCFLAGS=-g -O0 %winflags% -municode -finline-functions -Wall -mwindows -fms-extensions
set CXXFLAGS=-g -Os %winflags% -municode -finline-functions -Wall -mwindows -fms-extensions
set LDFLAGS=-Wl,-subsystem,windows -municode -static-libgcc -static-libstdc++
set LDLIBS=-lshlwapi -lshell32 -lmsvcrt -lole32 -luuid -lgdi32 -lcomdlg32 -lcomctl32 -ladvapi32 -lnetapi32 -lmpr -lstdc++

c++ %CCFLAGS% -c -o tla_COM.o tla_COM.cpp
gcc %CCFLAGS% -c -o tla_utils.o tla_utils.c
gcc %CCFLAGS% -c -o tla_utils_w.o tla_utils_w.c
gcc %CCFLAGS% -c -o tla_parse.o tla_parse.c
gcc %CCFLAGS% -c -o tla_splash.o tla_splash.c
gcc %CCFLAGS% -c -o tla_options.o tla_options.c
gcc %CCFLAGS% -c -o tlaunch.o tlaunch.c
windres -o tlaunch-rc.o tlaunch.rc
c++ tlaunch.o %OBJECTS% %LDFLAGS% %LDLIBS% -o tlaunch.exe

del *.o
endlocal
